CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros
SourceLine.h File Reference
`#include <cppunit/Portability.h>`
`#include <string>`

Go to the source code of this file.

## Classes

class | SourceLine
| Represents a source line location.Used to capture the failure location in assertion. More...

## Macros

#define | CPPUNIT_SOURCELINE() CPPUNIT_NS::SourceLine( __FILE__, __LINE__ )
| Constructs a SourceLine object initialized with the location where the macro is expanded. More...

| hosts this site. |  | Send comments to: CppUnit Developers